/**
 * Logger for run.
 * @memberof module:apeman-task
 * @constructor RunLogger
 * @returns A logger instance.
 */

'use strict'

const colorprint = require('colorprint')

/** @lends RunLogger */
module.exports = colorprint.define(
  /** @lends RunLogger.prototype */
  {
    logTaskStarted (name, task) {
      const s = this
      if (typeof name === 'function') {
        name = name.name || '(anonymous)'
      }
      s.info('Task "%s" started...', name)
    },
    logTaskFinished (took) {
      const s = this
      s.info('...done! (%dms)', took)
    },
    logTaskFailed (err) {
      console.error(err)
      console.trace()
    }
  }
)
